import React,{Component} from 'react'
import {
    CHeader,
    CHeaderNav,
    CSubheader,
    CBreadcrumbRouter,
    CImg
} from '@coreui/react'

import routes from '../routes'
import Profile from './Profile'

import Navbar from "reactjs-navbar";
import {
    faUsers,
    faTachometerAlt,
    faFolderOpen,
    faArrowsAlt,
} from "@fortawesome/free-solid-svg-icons";
import "reactjs-navbar/dist/index.css";

class TheHeader extends Component {
    constructor(props) {
        super(props);
        this.state = {
        };
    }

    render() {
        return (
            <CHeader withSubheader>
                <CImg
                   src={'logo.png'}
                   className="c-avatar-img cus_logo"
                   alt="admin@bootstrapmaster.com"
                   style={{width:'50px'}}
                />

                <CHeaderNav className="px-3" style={{position:'absolute', right:'0'}}>
                    <Profile />
                </CHeaderNav>

                <Navbar
                    //logo={'logo.png'}
                    //helpCallback={() => {
                        //alert("I need help... and coffee...");
                    //}}
                    menuItems={[
                        {
                            title: "Dashboard",
                            icon: faTachometerAlt,
                            isAuth: true,
                            onClick: () => {
                                window.location.href  = '/#/dashboard'
                            },
                        },
                        {
                            title: "Users",
                            icon: faUsers,
                            isAuth: true,
                            subItems: [
                                {
                                    title: "Staffs",
                                    isAuth:true,
                                    subItems: [
                                        {
                                            title: "Users",
                                            isAuth: true,
                                            onClick: () => {
                                                window.location.href  = '/#/user/view'
                                            },
                                        },
                                        {
                                            title: "Role",
                                            isAuth:true,
                                            onClick: () => {
                                                window.location.href  = '/#/role/view'
                                            },
                                        },
                                        {
                                            title: "Access Right",
                                            isAuth:true,
                                            onClick: () => {
                                                window.location.href  = '/#/dashboard'
                                            },
                                        },
                                    ],
                                },
                            ],
                        },
                        {
                            title: "Content",
                            icon: faArrowsAlt,
                            isAuth: true,
                            subItems: [
                                {
                                    title: "Language",
                                    isAuth: true,
                                    onClick: () => {
                                        window.location.href  = '/#/language/view'
                                    },
                                },
                                {
                                    title: "Screen",
                                    isAuth:true,
                                    onClick: () => {
                                        window.location.href  = '/#/screen/view'
                                    },
                                },
                                {
                                    title: "Language Labels",
                                    isAuth:true,
                                    onClick: () => {
                                        window.location.href  = '/#/label/view'
                                    },
                                },
                                {
                                    title: "CMS",
                                    isAuth:true,
                                    onClick: () => {
                                        window.location.href  = '/#/cms/view'
                                    },
                                },
                                {
                                    title: "Help Category",
                                    isAuth:true,
                                    onClick: () => {
                                        window.location.href  = '/#/help-category/view'
                                    },
                                },
                                {
                                    title: "Help",
                                    isAuth:true,
                                    onClick: () => {
                                        window.location.href  = '/#/help/view'
                                    },
                                },
                                {
                                    title: "Currency",
                                    isAuth: true,
                                    onClick: () => {
                                        window.location.href  = '/#/currency/view'
                                    },
                                },
                            ],
                        },
                        {
                            title: "Templates",
                            icon: faFolderOpen,
                            isAuth: true,
                            subItems: [
                                {
                                    title: "Email",
                                    isAuth: true,
                                    onClick: () => {
                                        window.location.href  = '/#/email/view'
                                    },
                                },
                                {
                                    title: "Push",
                                    isAuth:true,
                                    onClick: () => {
                                        window.location.href  = '/#/push/view'
                                    },
                                },
                                {
                                    title: "SMS",
                                    isAuth:true,
                                    onClick: () => {
                                        window.location.href  = '/#/sms/view'
                                    },
                                }
                            ],
                        }
                    ]}
                />

                <CSubheader className="px-3 justify-content-between">
                    <CBreadcrumbRouter className="border-0 c-subheader-nav m-0 px-0 px-md-3" routes={routes} />
                </CSubheader>
            </CHeader>
        )
    }
}

export default TheHeader
