import React from 'react'

const Dashboard = React.lazy(() => import('./views/dashboard/Dashboard'))
const Settings = React.lazy(() => import('./views/settings/view'))
// Language
const LanView = React.lazy(() => import('./views/language/view'))
const LanAdd = React.lazy(() => import('./views/language/add'))
const LanEdit = React.lazy(() => import('./views/language/edit'))
// Label
const LabelView = React.lazy(() => import('./views/label/view'))
const LabelAdd = React.lazy(() => import('./views/label/add'))
const LabelEdit = React.lazy(() => import('./views/label/edit'))
// CMS
const CmsView = React.lazy(() => import('./views/cms/view'))
const CmsAdd = React.lazy(() => import('./views/cms/add'))
const CmsEdit = React.lazy(() => import('./views/cms/edit'))
// Help Category
const HelpCategoryView = React.lazy(() => import('./views/help-category/view'))
const HelpCategoryAdd = React.lazy(() => import('./views/help-category/add'))
const HelpCategoryEdit = React.lazy(() => import('./views/help-category/edit'))
// Help
const HelpView = React.lazy(() => import('./views/help/view'))
const HelpAdd = React.lazy(() => import('./views/help/add'))
const HelpEdit = React.lazy(() => import('./views/help/edit'))
// Email
const EmailTemplateView = React.lazy(() => import('./views/email/view'))
const EmailTemplateAdd = React.lazy(() => import('./views/email/add'))
const EmailTemplateEdit = React.lazy(() => import('./views/email/edit'))
// Push
const PushTemplateView = React.lazy(() => import('./views/push/view'))
const PushTemplateAdd = React.lazy(() => import('./views/push/add'))
const PushTemplateEdit = React.lazy(() => import('./views/push/edit'))
// SMS
const SmsTemplateView = React.lazy(() => import('./views/sms/view'))
const SmsTemplateAdd = React.lazy(() => import('./views/sms/add'))
const SmsTemplateEdit = React.lazy(() => import('./views/sms/edit'))
// User
const UserView = React.lazy(() => import('./views/user/view'))
const UserAdd = React.lazy(() => import('./views/user/add'))
const UserEdit = React.lazy(() => import('./views/user/edit'))
// Role
const RoleView = React.lazy(() => import('./views/role/view'))
const RoleAdd = React.lazy(() => import('./views/role/add'))
const RoleEdit = React.lazy(() => import('./views/role/edit'))
// Screen
const ScreenView = React.lazy(() => import('./views/screen/view'))
const ScreenAdd = React.lazy(() => import('./views/screen/add'))
const ScreenEdit = React.lazy(() => import('./views/screen/edit'))
// Currency
const CurrencyView = React.lazy(() => import('./views/currency/view'))
const CurrencyAdd = React.lazy(() => import('./views/currency/add'))
const CurrencyEdit = React.lazy(() => import('./views/currency/edit'))

const routes = [
  	{ path: '/', exact: true, name: 'Home', },
  	{ path: '/dashboard', name: 'Dashboard', component: Dashboard },
    { path: '/settings', name: 'Settings', component: Settings },
    { path: '/language/view', name: 'View Language', component: LanView },
  	{ path: '/language/add', name: 'Add Language', component: LanAdd },
  	{ path: '/language/edit/:id', name: 'Edit Language', component: LanEdit },
  	{ path: '/label/view', name: 'View Label', component: LabelView },
  	{ path: '/label/add', name: 'Add Label', component: LabelAdd },
  	{ path: '/label/edit/:id', name: 'Edit Label', component: LabelEdit },
  	{ path: '/cms/view', name: 'View Cms', component: CmsView },
  	{ path: '/cms/add', name: 'Add Cms', component: CmsAdd },
  	{ path: '/cms/edit/:id', name: 'Edit Cms', component: CmsEdit },
    { path: '/help-category/view', name: 'View Help Category', component: HelpCategoryView },
    { path: '/help-category/add', name: 'Add Help Category', component: HelpCategoryAdd },
    { path: '/help-category/edit/:id', name: 'Edit Help Category', component: HelpCategoryEdit },
    { path: '/help/view', name: 'View Help', component: HelpView },
    { path: '/help/add', name: 'Add Help', component: HelpAdd },
    { path: '/help/edit/:id', name: 'Edit Help', component: HelpEdit },
    { path: '/email/view', name: 'View Email', component: EmailTemplateView },
    { path: '/email/add', name: 'Add Email', component: EmailTemplateAdd },
    { path: '/email/edit/:id', name: 'Edit Email', component: EmailTemplateEdit },
    { path: '/push/view', name: 'View Push', component: PushTemplateView },
    { path: '/push/add', name: 'Add Push', component: PushTemplateAdd },
    { path: '/push/edit/:id', name: 'Edit Push', component: PushTemplateEdit },
    { path: '/sms/view', name: 'View Sms', component: SmsTemplateView },
    { path: '/sms/add', name: 'Add Sms', component: SmsTemplateAdd },
    { path: '/sms/edit/:id', name: 'Edit Sms', component: SmsTemplateEdit },
    { path: '/role/view', name: 'View Role', component: RoleView },
    { path: '/role/add', name: 'Add Role', component: RoleAdd },
    { path: '/role/edit/:id', name: 'Edit Role', component: RoleEdit },
    { path: '/user/view', name: 'View User', component: UserView },
    { path: '/user/add', name: 'Add User', component: UserAdd },
    { path: '/user/edit/:id', name: 'Edit User', component: UserEdit },
    { path: '/screen/view', name: 'View Screen', component: ScreenView },
    { path: '/screen/add', name: 'Add Screen', component: ScreenAdd },
    { path: '/screen/edit/:id', name: 'Edit Screen', component: ScreenEdit },
    { path: '/currency/view', name: 'View Currency', component: CurrencyView },
    { path: '/currency/add', name: 'Add Currency', component: CurrencyAdd },
    { path: '/currency/edit/:id', name: 'Edit Currency', component: CurrencyEdit },
]

export default routes
