import React, {Component} from 'react'
import {
  CCol,
  CRow,
  CButton,
  CCard,
  CCardBody,
  CCardFooter,
  CFormGroup,
  CForm,
  CLabel,
  CInput,
  CFormText,
  CSelect,
} from '@coreui/react'
import configuration from '../../config';

class add extends Component {
	constructor(props) {
        super(props);
        this.state = {
        	showLoader:false,
        	fields:{},
        	errors:{},
        };
    }

    handleCancel(){
    	this.props.history.push('/currency/view')
    }

    handleChange(field, e){
    	let fields = this.state.fields
    	fields[field] = e.target.value;
    	this.setState({fields})
    }

    validation(){
        let fields = this.state.fields;
        let errors = {};
        let formIsValid = true;

        if(!fields["name"]){
            formIsValid = false;
            errors["name"] = "Please enter name.";
        }
        if(!fields["status"]){
            formIsValid = false;
            errors["status"] = "Please select status.";
        }
        if(!fields["code"]){
            formIsValid = false;
            errors["code"] = "Please enter code.";
        }
        if(!fields["symbol"]){
            formIsValid = false;
            errors["symbol"] = "Please enter symbol.";
        }

        this.setState({errors: errors});
        return formIsValid;
    }

	submit() {
		if(this.validation()){
			this.setState({showLoader:true})
			fetch(configuration.baseURL+"currency/create", {
				method: "post",
				headers: {
					'Accept': 'application/json',
					'Content-Type': 'application/json'
				},
				body:JSON.stringify(this.state.fields)
			}).then((response) => {
				return response.json();
			}).then((data) => {
				this.setState({showLoader:false})
				this.handleCancel()
			});
		}
	}

    render() {
	  	return (
	  		<CRow>
	  			<div className="loader-img" style={{display: this.state.showLoader ? 'block' : 'none' }}></div>
        		<CCol xs="12" md="12">
          			<CCard>
	            		<CCardBody>
                            <CForm className="form-horizontal">
                                <CFormGroup row>
                                    <CCol md="6">
                                        <CLabel htmlFor="hf-code">Name</CLabel>
                                        <CInput type="text" placeholder="Enter name" onChange={this.handleChange.bind(this,'name')} value={this.state.fields.name}/>
                                        <CFormText className="help-block">{this.state.errors.name}</CFormText>
                                    </CCol>
                                    <CCol md="6">
                                        <CLabel htmlFor="hf-code">Code</CLabel>
                                        <CInput type="text" placeholder="Enter code" onChange={this.handleChange.bind(this,'code')} value={this.state.fields.code}/>
                                        <CFormText className="help-block">{this.state.errors.code}</CFormText>
                                    </CCol>
                                </CFormGroup> 
                                <CFormGroup row> 
                                    <CCol md="6">
                                        <CLabel htmlFor="hf-code">Symbol</CLabel>
                                        <CInput type="text" placeholder="Enter symbol" onChange={this.handleChange.bind(this,'symbol')} value={this.state.fields.symbol}/>
                                        <CFormText className="help-block">{this.state.errors.symbol}</CFormText>
                                    </CCol> 
                                    <CCol md="6">
                                        <CLabel htmlFor="hf-Status">Status</CLabel>
                                        <CSelect custom onChange={this.handleChange.bind(this,'status')} value={this.state.fields.status}>
                                            <option value="">--Select Status--</option>
                                            <option value="active">Active</option>
                                            <option value="inactive">Inactive</option>
                                        </CSelect>
                                        <CFormText className="help-block">{this.state.errors.status}</CFormText>
                                    </CCol>
                                </CFormGroup>   
                              </CForm>
                        </CCardBody>
			            <CCardFooter>
			            	<CButton color="primary" className="px-4" onClick={this.submit.bind(this)}>Submit</CButton>{' '}
			            	<CButton color="danger" className="px-4" onClick={this.handleCancel.bind(this)}>Cancel</CButton>
			            </CCardFooter>
		            </CCard>
		        </CCol>  
		    </CRow>      
	  	)
    }
}

export default add
